@font-face {
  font-family: "Indie Flower";
  src: url("fonts/IndieFlower-Regular.ttf");
}

@font-face {
  font-family: "Rock Salt";
  src: url("fonts/RockSalt-Regular.ttf");
}

html {
  font-size: 120%;
}

body {
  font-family: Indie Flower;
  display: flex;
  flex-direction: column;
  align-items: center;
}

h1 {
  font-size: 3.5em;
  @media screen and (min-width: 768px) {
    font-size: 6em;
  }
}
h2 {
  font-size: 2.5em;
  @media screen and (min-width: 768px) {
    font-size: 4.5em;
  }
}
h3 {
  font-size: 2.25em;
  @media screen and (min-width: 768px) {
    font-size: 4em;
  }
}
h4 {
  font-size: 2em;
  @media screen and (min-width: 768px) {
    font-size: 3em;
  }
}
h5 {
  font-size: 1.5em;
  @media screen and (min-width: 768px) {
    font-size: 2em;
  }
}
h6 {
  font-size: 1em;
}

button {
  padding: 0;
  border: none;
  background: none;
}

a:visited {
  color: inherit;
}

.zawadiSprite {
  position: relative;
  aspect-ratio: 4 / 1;
  background: url("./hero_sprite.webp");
  background-size: cover;
  animation-name: sprite;
  animation-duration: 0.5s;
  animation-timing-function: steps(4);
  animation-iteration-count: infinite;

  @media (prefers-reduced-motion) {
    animation: none;
  }
}

@keyframes sprite {
  from {
    background-position-x: 0;
  }
  to {
    background-position-x: 133%;
  }
}
